=== debian/control ===
Source: ros-humble-dataspeed-can-usb
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-can-msgs, ros-humble-lusb, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-dataspeed-can-usb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-can-msgs, ros-humble-lusb, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Driver to interface with the Dataspeed Inc.
 USB CAN Tool
