## ros-humble-dataspeed-can-usb 2.0.4

=== debian/changelog ===
ros-humble-dataspeed-can-usb (2.0.4-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-dataspeed-can-usb (2.0.3-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-humble-dataspeed-can-usb (2.0.2-1bookworm) bookworm; urgency=high

  * Fix CAN filter and mask parameter declarations runtime error in Humble
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 16 Jan 2023 16:00:00 -0000

ros-humble-dataspeed-can-usb (2.0.1-1bookworm) bookworm; urgency=high

  * Fix cmake problems and update for best practices
  * Change parameters to work in Foxy and Galactic
  * Avoid deprecation warnings in Galactic
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 08 Feb 2022 16:00:00 -0000

ros-humble-dataspeed-can-usb (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 01 Nov 2021 16:00:00 -0000
